/****************************************************************************
** $Id: smtp.h,v 1.4 2003/06/23 14:12:31 rom_vinot Exp $
**
** Copyright (C) 1992-2000 Trolltech AS.  All rights reserved.
**
** This file is part of an example program for Qt.  This example
** program may be used, distributed and modified without limitation.
**
*****************************************************************************/

#ifndef SMTP_H
#define SMTP_H

#include <qobject.h>
#include <qstring.h>

class QSocket;
class QTextStream;
class QDns;

class Smtp : public QObject
{
    Q_OBJECT

public:
    Smtp( const QString &smtp, const QString &port, const QString &from, 
	  const QString &to, QString &msg);
    ~Smtp();
    void doNothing();

signals:
    void finished();
    void status( const QString & );

private slots:
    void readyRead();
    void deleteMe();
    void dnsLookupHelper();
    void problemTimeOut();
    //    void checkError(int error);

private:
    enum State {
	Init,
	Mail,
	Rcpt,
	Data,
	Body,
	Quit,
	Close
    };

    QString message;
    QString from;
    QString rcpt;
    QString port;
    QSocket *socket;
    QTextStream * t;
    int state;
    QString response;
    QDns * dnsLookup;
};

#endif
